# Get an Item's History

Use this method to get an Item's Transaction History.&#x20;

### Usage in your script

```csharp
GetHistory
  .Initialize(destroyAtEnd: true)
  .SetParameters(
    address: "0x...",
    token_id: 1
  )
  .OnError(error => Debug.Log(error))
  .OnComplete(result => Debug.Log(result))
  .Run();
```

#### Member Functions

**`.Initialize()`**

<table><thead><tr><th width="193">Parameter</th><th width="80">Type</th><th width="105">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>destroyAtEnd</code></td><td><strong>bool</strong></td><td><strong>Optional</strong></td><td>defines if this component will be destroyed after <code>.Run()</code></td></tr></tbody></table>

**`.SetParameters()`**

<table><thead><tr><th width="209.33333333333331">Parameter</th><th width="88">Type</th><th width="109">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>adress</code></td><td><strong>String</strong></td><td><strong>Yes</strong></td><td>The item's collection address</td></tr><tr><td><code>token_id</code></td><td><strong>String</strong></td><td><strong>Yes</strong></td><td>The item's tokenId</td></tr></tbody></table>

**`.onError()`**

*Action on Error: returns error information.*

**`.onComplete()`**

*Action on successful: returns* [*`History_modal`*](broken://pages/X6BXtARHCyPm4jpigLmp#history-model) *type.*

**`.Run()`**

*Runs the API call and fills the corresponding model in the component on success.*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/unity-sdk-reference/get-methods/get-an-items-history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
